curl --request GET \
--url https://app.surfacd.com/api/v1/projects/{project} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.surfacd.com/api/v1/projects/{project}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.surfacd.com/api/v1/projects/{project}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"check_frequency": "manual",
"project_type": "standard",
"pitch_ends_at": "2023-11-07T05:31:56Z",
"prompt_limit": 123,
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"default_country": {
"code": "<string>",
"name": "<string>"
},
"primary_brand": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"domain": "<string>",
"type": 0,
"brand_aliases": [
"<string>"
]
},
"services": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"display_name": "<string>",
"provider": "<string>"
}
],
"share": {
"enabled": true,
"share_url": "<string>",
"password_protected": true
}
}{
"message": "<string>"
}Show Project
Returns a single project for the current team, including primary brand, default country, and enabled services. Returns 404 if the project does not belong to the current team.
Authorizations
Team API key created in Team Settings. Use it with URLs for the same team.
Path Parameters
Project UUID.
Response
Project payload.
manual, monthly, weekly, daily Project type. pitch projects run a fixed 7-day collection window and do not consume credits.
standard, pitch End of the 7-day pitch collection window. Only set for pitch projects once their first collection run starts; always null for standard projects. Read-only.
Resolved prompt limit. Falls back to the team default when not explicitly set on the project.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Active services (AI platforms) enabled for this project.
Show child attributes
Show child attributes
Show child attributes
Show child attributes